var rp = require('request-promise');

rp('http://localhost')
    .then(function (htmlString) {
	console.log(htmlString)
        // Process html...
    })
    .catch(function (err) {
	console.log(err)
    });
